// @import '../../../../lib/scss/components/button-group-icons-standard';

@import '../../../../lib/scss/abstracts/variables';
@import '../../../../lib/scss/abstracts/wp-core';
@import '../../../../lib/scss/abstracts/extends';
@import '../../../../lib/scss/abstracts/mixins';

.components-wpez-blocks-button-group-element-height {

  &__field {

    &.wpez-blocks-button-group .components-button-group {

      & > * + *{
        margin-left: 1px;
        margin-right: 1px
      }

      @include components-button-group();
      padding: 2px 0;

      button.components-button{
        border: $light-gray-500 solid 1px;
      }

      button.components-button.has-text{
        width: auto;
        padding: 0 8px 0;
      }
    }

    .components-button {
      &.xis-button {
        color: $black;
      }
    }

    .components-button.is-large {
      padding: 0 7px 2px;
    }

    &.btn-margin-right-sm {
      .is-button {
        margin-right: 3px
      }
    }

    .components-button {
      &.is-button:first-child {
        margin-left: 3px
      }
    }

    .components-button {
      &.is-button:first-child,
      &.is-button,
      &.is-button:last-child {
        border-radius: 3px;
        background-color: $white;
      }

      &.is-button:focus,
      &.is-button.is-primary {
        @extend %primary;
        text-shadow: none
      }
    }

    &.btn-margin-right-xs {
      .is-button {
        margin-right: 0
      }
    }

    &.btn-margin-right-sm {
      .is-button {
        margin-right: 3px
      }
    }

    &.btn-margin-right-md {

      .is-button {
        margin-right: 8px
      }

    }

    &.btn-margin-right-lg {

      .is-button {
        margin-right: 13px
      }

    }

    .components-button {

      &.is-button:last-child {
        margin-right: 0
      }
    }
  }
}
